Announcement

Collapse
No announcement yet.

Radeon HD 7970 -- driver?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Radeon HD 7970 -- driver?

    Hi everybody!

    Is there a chance one could get a beta driver for Radeon HD 7970? OpenCL is not correctly working with Catalyst 11.12 and I get the "Unsupported hardware" watermark.

    Thanks a lot,
    Olaf

  • #2
    No. Tough luck. Wait until they release another fail prop. driver this month...

    Comment


    • #3
      How did you get it to run? When i install the driver i get a blank screen right after grub on the next reboot
      i knew i shouldn't have bought an ati card! It's lways the same... great hardware, shitty drivers.

      Comment


      • #4
        How? As always... use the script provided by kantonix:

        Code:
        # wget -Nc -O/usr/local/bin/install-fglrx-debian.sh http://kanotix.com/files/install-fglrx-debian.sh
        # chmod 755 /usr/local/bin/install-fglrx-debian.sh
        # install-fglrx-debian.sh
        as found here.

        The ati driver works great for my older ati cards, no complaints here. Yet, I'd have assumed, that the driver is ready once the card got released. (AFAIR there was a same-day-driver promise, wasn't it?)

        Bye,
        Olaf

        Comment


        • #5
          thanks! i'm using fedora, so the script doesn't work but i'll see what it does and try that approach

          Comment


          • #6
            Shouldn't the latest driver be contained in the rpmfusion repository as package "kmod-catalyst"?

            Comment


            • #7
              Quite sure there will be a driver in a couple hours. We'll see.

              Comment


              • #8
                Tried the rpmforge one. Same result: black screen after grub. Hard disk activities continue for a while afterwards though

                Comment


                • #9
                  It seems as if rpmforge still has driver ver. 11.11. whereas 12.01 was released yesterday. This driver probably has official support for HD 7970. I didn't test it, yet. Either try 12.01 directly from the amd homepage or wait for rpmforge to adopt the version.

                  Comment


                  • #10
                    If you are only worried by the unsupported watermark just fetch the control file after extracting the run installer and put it into /etc/ati.

                    Comment


                    • #11
                      At least for me, OpenCL didn't work...

                      Comment


                      • #12
                        updated the driver.... same result

                        Comment


                        • #13
                          OK, the download page is up now for the driver link I posted on Friday :

                          http://support.amd.com/us/kbarticles...nuxdriver.aspx

                          It says 12.1 but this is really more like "11.11++ or 11.12++" so we may take the version off. Anyways, this is the "same day" driver intended for inclusion in-box with HD 7970 boards.

                          oleid, if you still have trouble with OpenCL with this driver you might try the AMD developer forum under OpenCL; that's where the AMD OpenCL devs tend to hang out.

                          Comment


                          • #14
                            warci, I suggest you try some of the steps outlined here:

                            http://wiki.cchtml.com/index.php/Fed...allation_Guide

                            Specifically pay attention to this:
                            Code:
                            yum install kernel-devel kernel-headers gcc gcc-c++
                            The installation of Catalyst on Fedora can be a bit tricky, but I have never had too much trouble once I had completed it.

                            Says the man writing quite happily from his main computer running R600g, but anyway...
                            Last edited by Hamish Wilson; 01-30-2012, 07:07 PM.

                            Comment


                            • #15
                              It seems as if 11.12++ DOES work. Thanks a lot!

                              Comment

                              Working...
                              X